SDL_GetWindowSizeInPixels(3)

NAME
SDL_GetWindowSizeInPixels - Get the size of a window's client area, in pixels.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_GetWindowSizeInPixels(SDL_Window *window, int *w, int *h);

FUNCTION PARAMETERS

window
    the window from which the drawable size should be queried.

w   a pointer to variable for storing the width in pixels, may be NULL.

h   a pointer to variable for storing the height in pixels, may be NULL.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateWindow(3), SDL_GetWindowSize(3)